
var config = {}
config['domoticz_ip'] = < stripped >
config['user_name'] = < stripped >
config['pass_word'] = < stripped >
config['app_title'] = 'Familie Matthijssen';
config['room_plan'] = '0';
config['domoticz_refresh'] = '5';
config['dashticz_refresh'] = '30';
config['default_news_url'] = 'http://www.nu.nl/rss/algemeen';
config['news_scroll_after'] = '7';
config['default_cors_url'] = '';
config['dashticz_php_path'] = './vendor/dashticz/';
config['standby_call_url'] = '';
config['standby_call_url_on_end'] = '';
config['theme'] = 'default';
config['background_image'] = 'img/bg14_lightgray.jpg';
config['standby_after'] = '0';
config['auto_swipe_back_to'] = '1';
config['auto_swipe_back_after'] = '45000';
config['auto_slide_pages'] = '';
config['slide_effect'] = 'fade';
config['standard_graph'] = 'month';
config['blink_color'] = '255, 255, 255, 1';
config['language'] = 'nl_NL';
config['timeformat'] = 'DD-MM-YY HH:mm';
config['calendarformat'] = 'dd DD.MM HH:mm';
config['calendarlanguage'] = 'nl_NL';
config['calendarurl'] = '';
config['boss_stationclock'] = 'RedBoss';
config['gm_api'] = '';
config['gm_zoomlevel'] = '';
config['gm_latitude'] = '51.519320';
config['gm_longitude'] = '4.696100';
config['speak_lang'] = 'nl-NL';
config['wu_api'] = '';
config['wu_city'] = 'Amsterdam';
config['wu_name'] = '';
config['wu_country'] = 'NL';
config['owm_api'] = < stripped >
config['owm_city'] = 'Rijsbergen';
config['owm_name'] = 'Weersverwachting Rijsbergen';
config['owm_country'] = 'nl';
config['owm_lang'] = 'NL';
config['owm_cnt'] = '4';
config['idx_moonpicture'] = '';
config['longfonds_zipcode'] = '4891ZW';
config['longfonds_housenumber'] = '1';
config['switch_horizon'] = '';
config['host_nzbget'] = '';
config['spot_clientid'] = '';
config['sonarr_url'] = '';
config['sonarr_apikey'] = '';
config['sonarr_maxitems'] = '';
config['garbage_company'] = '';
config['garbage_icalurl'] = '';
config['google_api_key'] = '';
config['garbage_calendar_id'] = '';
config['garbage_zipcode'] = '';
config['garbage_street'] = '';
config['garbage_housenumber'] = '';
config['garbage_housenumberadd'] = '';
config['garbage_maxitems'] = '';
config['garbage_width'] = '';
config['setpoint_min'] = '5';
config['setpoint_max'] = '40';
config['loginEnabled'] = 1;
config['disable_update_check'] = 0;
config['no_rgb'] = 0;
config['auto_positioning'] = 0;
config['use_favorites'] = 0;
config['disable_googleanalytics'] = 1;
config['last_update'] = 0;
config['hide_topbar'] = 1;
config['security_button_icons'] = 1;
config['edit_mode'] = 0;
config['hide_seconds'] = 0;
config['hide_seconds_stationclock'] = 0;
config['owm_days'] = 1;
config['owm_min'] = 1;
config['use_fahrenheit'] = 0;
config['use_beaufort'] = 0;
config['translate_windspeed'] = 1;
config['static_weathericons'] = 1;
config['hide_mediaplayer'] = 0;
config['garbage_hideicon'] = 0;
config['garbage_icon_use_colors'] = 1;
config['garbage_use_colors'] = 0;
config['garbage_use_names'] = 0;
config['garbage_use_cors_prefix'] = 1;


// --------------------------------------------------------------------------------------------
// Familie Matthijssen Dashticz Dashboard (CONFIG.js)
// 
// History
// V0.0  2019-01-07  Initial Version
// V0.1  2019-01-08  Added hidden 'config['lineColors'] = ['#e00', 'rgba(0,150,0, 1.0)'];' setting
// V0.2  2019-01-16  Added Contact Sensors
// V0.3  2019-01-20  Added Smoke Detectors
// V0.4  2019-02-11  Added 'Groep Salontafel' & 'Groep Zolder'
// V0.5  2019-02-15  Added Motion Sensors
// V0.6  2019-02-20  Added Lux Sensors
// V0.7  2019-03-14  Added Shelly Devices
// V0.8  2019-03-19  Re-ordering of devices
// V0.9  2019-03-21  Added ping for Shelly Devices
// V1.0  2019-03-31  Re-factoring
// V1.1  2019-04-25  Added Motion Sensor for 'Garage Voor 2'
// V1.2  2019-05-13  Changed IP Camera's access to Nx Witness software
// V1.3  2019-05-30  Added 'forcerefresh' to webcam buttons & floorplan button
// V1.4  2019-07-10  Added Switch + Ping device for Xiaomi Gateway
// --------------------------------------------------------------------------------------------

// Hidden graph setting
config['lineColors'] = ['#aaa9a9', '#7e7e7e'];

// --------------------------------------------------------------------------------------------
// Screen definitions
// --------------------------------------------------------------------------------------------
var max_resolution_desktop    = 'default';
var max_resolution_smart      = 'tablet';

// --------------------------------------------------------------------------------------------
// Title Definitions
// --------------------------------------------------------------------------------------------
var title_misc                = 'title_misc';
var title_hue                 = 'title_hue';
var title_presence            = 'title_presence';
var title_curtains            = 'title_curtains';
var title_temperature         = 'title_temperature';
var title_gas_and_elektra     = 'title_gas_and_elektra';
var title_ping                = 'title_ping';
var title_switch              = 'title_switch';
var title_news                = 'title_news'
var title_christmas           = 'title_christmass';
var title_tvguide_1           = 'title_tvguide_1';
var title_tvguide_2           = 'title_tvguide_2';
var title_radio               = 'title_radio';
var title_breda               = 'title_breda';
var title_etten_leur          = 'title_etten_leur';
var title_raspberry           = 'title_raspberry';
var title_contact             = 'title_contact';
var title_smokedetector       = 'title_smokedetector';
var title_motion_sensors      = 'title_motion_sensors';
var title_lux_sensors         = 'title_lux_sensors';
var title_shelly              = 'title_shelly';
var title_ping_shelly         = 'title_ping_shelly';

// --------------------------------------------------------------------------------------------
// IDX Definitions
// --------------------------------------------------------------------------------------------
var humax_woonkamer           = 440;
var humax_zolder              = 439;

var groep_woonkamer           = 316;
var groep_keuken              = 323;
var groep_slaapkamer          = 320;
var groep_salontafel          = 431;
var groep_trap_zolder         = 432;

var scene_movies              = 350;
var scene_voetbal             = 351;
var scene_ontspanning         = 352;

var gordijnen_voor            = 152;
var gordijnen_achter          = 10;

var iphone_henri              = 306;
var iphone_diana              = 309;
var iphone_denise             = 307;
var iphone_melissa            = 308;

var temperatuur_buitenkeuken  = '155_1';
var temperatuur_woonkamer     = 422;
var temperatuur_zolder        = '154_1';

var nefit_easy                = 77;
var p1_gas                    = 137;
var p1_elektra_nu             = '130_1';
var p1_elektra_vandaag        = '130_2';
var p1_elektra_totaal         = '130_3';
var p1_grafiek_gas            = 'graph_137';
var p1_grafiek_elektra        = 'graph_130';

var ping_ip_voordeur          = 2;
var ping_ip_bijkeuken         = 3;
var ping_ip_garage            = 4;
var ping_linux                = 5;
var ping_windows_10           = 6;
var ping_zfs_1                = 7;
var ping_zfs_2                = 8;
var ping_asus_zenbook         = 161;
var ping_hdhomerun_4dc        = 142;
var ping_hp_colorjet_3600     = 144;

var ping_unifi_woonkamer      = 140;
var ping_unifi_buitenkeuken   = 141;
var ping_unifi_slaapkamer     = 139;
var ping_nefit_easy           = 143;
var ping_philips_hue          = 146;
var ping_atv_woonkamer        = 147;
var ping_atv_slaapkamer       = 148;

var ping_temp_buitenkeuken    = 149;
var ping_temp_woonkamer       = 150;
var ping_temp_zolder          = 151;
var ping_gordijnen_straat     = 160;
var ping_gordijnen_schuur     = 158;
var ping_gordijnen_tuin       = 159;
var ping_garage_opener        = 502;
var ping_xiaomi_gateway       = 542;

var switch_ip_voordeur        = 533;
var switch_ip_bijkeuken       = 442;
var switch_ip_garage          = 418;
var switch_linux              = 445;
var switch_windows_10         = 443;
var switch_zfs_1              = 520;
var switch_zfs_2              = 444;
var switch_unifi_usg          = 448;
var switch_ziggo_modem        = 463;
var switch_xiaomi_gateway     = 464;
var switch_13                 = 497;

var switch_kersthuisjes       = 177;
var switch_kerstboom          = 178;
var switch_kerststal          = 179;

var pi_cpu_temperature        = 356;
var pi_cpu_usage              = 359;
var pi_cpu_speed              = 360;
var pi_cpu_memory             = 362;
var pi_up_time                = 361;
var pi_memory_usage           = 358;
var pi_domoticz_memory        = 370;

var contact_voordeur          = 384;
var contact_bijkeuken         = 388;
var contact_garage_voor       = 389;
var contact_garage_achter     = 390;
var contact_garage_roldeur    = 391;

var smoke_bijkeuken           = 395;
var smoke_woonkamer           = 398;
var smoke_hal                 = 399;
var smoke_overloop            = 400;
var smoke_zolder              = 999;

var motion_hal                = 406;
var motion_overloop           = 404;
var motion_zolder             = 457;
var motion_bijkeuken_tuin     = 421;
var motion_bijkeuken_garage   = 455;
var motion_garage_voor_1      = 460;
var motion_garage_voor_2      = 513;
var motion_garage_achter      = 462;

var lux_hal                   = 405;
var lux_overloop              = 403;
var lux_zolder                = 456;
var lux_bijkeuken_tuin        = 420;
var lux_bijkeuken_garage      = 454;
var lux_garage_voor_1         = 459;
var lux_garage_voor_2         = 512;
var lux_garage_achter         = 461;

var shelly_01                 = 524;
var shelly_02                 = 525;
var shelly_03                 = 526;
var shelly_04                 = 527;
var shelly_05                 = 523;
var shelly_06                 = 521;
var shelly_07                 = 522;
var shelly_08                 = 472;
var shelly_09                 = 473;
var shelly_10a                = 474;
var shelly_10b                = 475;


var ping_shelly_01            = 487;
var ping_shelly_02            = 488;
var ping_shelly_03            = 489;
var ping_shelly_04            = 490;
var ping_shelly_05            = 491;
var ping_shelly_06            = 492;
var ping_shelly_07            = 493;
var ping_shelly_08            = 494;
var ping_shelly_09            = 495;
var ping_shelly_10            = 496;

var news_1                    = 'news_1';
var news_2                    = 'news_2';

// --------------------------------------------------------------------------------------------
// Buttons
// --------------------------------------------------------------------------------------------
var buttons = {}

// --------------------------------------------------------------------------------------------
// Nieuws sites
// --------------------------------------------------------------------------------------------
buttons.nunl = { key: 'nunl',  width:6, icon: 'fa-newspaper-o', title: 'Nu.nl', url: 'http://www.nu.nl',  image:'img/NU.nl.png' }
buttons.nos  = { key: 'nos',   width:6, icon: 'fa-newspaper-o', title: 'Nos',   url: 'http://www.nos.nl', image:'img/NOS.png'   }

// --------------------------------------------------------------------------------------------
// IP Camera's
// --------------------------------------------------------------------------------------------
buttons.webcam1 = {width:12, isimage:true, forcerefresh:true, refresh:1000, image: 'https://user:password@ip-address:port/ec2/cameraThumbnail?cameraId=1', url: 'https://user:password@ip-address:port/ec2/cameraThumbnail?cameraId=1'}
buttons.webcam2 = {width:12, isimage:true, forcerefresh:true, refresh:1000, image: 'https://user:password@ip-address:port/ec2/cameraThumbnail?cameraId=2', url: 'https://user:password@ip-address:port/ec2/cameraThumbnail?cameraId=2'}
buttons.webcam3 = {width:12, isimage:true, forcerefresh:true, refresh:1000, image: 'https://user:password@ip-address:port/ec2/cameraThumbnail?cameraId=3', url: 'https://user:password@ip-address:port/ec2/cameraThumbnail?cameraId=3'}

// --------------------------------------------------------------------------------------------
// Floorplan
// --------------------------------------------------------------------------------------------
buttons.floorplan = {width:12, title:'Kamerindeling', url:'https://user:password@ip-address:port/#Floorplans'}

// --------------------------------------------------------------------------------------------
// Buienradar
// --------------------------------------------------------------------------------------------
buttons.buienradar = {width:6, isimage:true, image: 'http://api.buienradar.nl/image/1.0/RadarMapNL?w=100&h=85', url: 'http://www.weer.nl/verwachting/nederland/rijsbergen/189692/'}

// --------------------------------------------------------------------------------------------
// TV Gids
// --------------------------------------------------------------------------------------------

// 1 = NPO1, 2 = NPO2, 3 = NPO4, 4 = RTL4, 31 = RTL5, 36 = SBS6, 46 = RTL7, 37 = NET5, 34 = Veronica, 92 = RTL8
// 435 = 24Kitchen, 6 = Canvas, 466 = Ziggo Sport, 148 = Fox Sports Eredivisie
var tvguide = {}

tvguide.dutch_1 = { key:'dutch', width:12, channels: [1,2,3,4,31,36,46,37,34,92], maxitems: 8 }
tvguide.dutch_2 = { key:'dutch', width:12, channels: [435,466,148],               maxitems: 5 }

// --------------------------------------------------------------------------------------------
// Logging
// --------------------------------------------------------------------------------------------
buttons.log = {key:'log', width:12, image:'img/log.png', title: 'Logging Domoticz', log:true, level: 2}

// --------------------------------------------------------------------------------------------
// Trein informatie
// --------------------------------------------------------------------------------------------
var publictransport = {}

publictransport.ovinfo_breda      = { station: 'station-breda', title:'OV Info', show_lastupdate:true, provider: '9292',       icon: 'train', results: 5 };
publictransport.ovinfotrain_breda = { station: 'station-breda', title:'Bus',     show_lastupdate:true, provider: '9292-bus',   icon: 'bus',   results: 5 };
publictransport.ovinfobus_breda   = { station: 'station-breda', title:'Trein',   show_lastupdate:true, provider: '9292-train', icon: 'train', results: 5 };

publictransport.ovinfo_etten_leur      = { station: 'station-etten-leur', title:'OV Info', show_lastupdate:true, provider: '9292',       icon: 'train', results: 5 };
publictransport.ovinfotrain_etten_leur = { station: 'station-etten-leur', title:'Bus',     show_lastupdate:true, provider: '9292-bus',   icon: 'bus',   results: 5 };
publictransport.ovinfobus_etten_leur   = { station: 'station-etten-leur', title:'Trein',   show_lastupdate:true, provider: '9292-train', icon: 'train', results: 5 };

// --------------------------------------------------------------------------------------------
// Radio
// --------------------------------------------------------------------------------------------
var _STREAMPLAYER_TRACKS     = [
   {"track":1,"name":"Radio 538","file":"http://playerservices.streamtheworld.com/api/livestream-redirect/RADIO538.mp3"}, 
   {"track":2,"name":"Q-music","file":"http://icecast-qmusic.cdp.triple-it.nl/Qmusic_nl_live_96.mp3"},
   {"track":3,"name":"Slam! NonStop","file":"http://stream.radiocorp.nl/web10_mp3"},
   {"track":4,"name":"100%NL","file":"http://stream.100p.nl/100pctnl.mp3"},
   {"track":6,"name":"NPO Radio 1","file":"http://icecast.omroep.nl/radio1-bb-mp3"},
   {"track":7,"name":"Omroep Brabant","file":"http://streaming.omroepbrabant.nl/mp3"},
];
// --------------------------------------------------------------------------------------------
// Blocks
// --------------------------------------------------------------------------------------------
var blocks = {}

// Title: Diversen
blocks[title_misc] = {}
blocks[title_misc]['type'] = 'blocktitle'
blocks[title_misc]['title'] = 'Diversen'

// Humax Woonkamer
blocks[humax_woonkamer] = {}
blocks[humax_woonkamer]['title'] = 'Humax Woonkamer';
blocks[humax_woonkamer]['width'] = 4;
blocks[humax_woonkamer]['icon'] = 'fa fa-power-off';
blocks[humax_woonkamer]['hide_data'] = true;

// Humax Zolder
blocks[humax_zolder] = {}
blocks[humax_zolder]['title'] = 'Humax Zolder';
blocks[humax_zolder]['width'] = 4;
blocks[humax_zolder]['icon'] = 'fa fa-power-off';
blocks[humax_zolder]['hide_data'] = true;

// Title: HUE lichten
blocks[title_hue] = {}
blocks[title_hue]['type'] = 'blocktitle'
blocks[title_hue]['title'] = 'Hue Lichten'

// Groep Woonkamer
blocks[groep_woonkamer] = {}
blocks[groep_woonkamer]['title'] = 'Woonkamer'
blocks[groep_woonkamer]['width'] = 4;
blocks[groep_woonkamer]['hide_data'] = true;

// Groep Keuken
blocks[groep_keuken] = {}
blocks[groep_keuken]['title'] = 'Keuken'
blocks[groep_keuken]['width'] = 4;
blocks[groep_keuken]['hide_data'] = true;

// Groep Slaapkamer
blocks[groep_slaapkamer] = {}
blocks[groep_slaapkamer]['title'] = 'Melissa'
blocks[groep_slaapkamer]['width'] = 4;
blocks[groep_slaapkamer]['hide_data'] = true;

// Groep Salontafel
blocks[groep_salontafel] = {}
blocks[groep_salontafel]['title'] = 'Salontafel'
blocks[groep_salontafel]['width'] = 4;
blocks[groep_salontafel]['hide_data'] = true;

// Groep Trap Zolder
blocks[groep_trap_zolder] = {}
blocks[groep_trap_zolder]['title'] = 'Trap Zolder'
blocks[groep_trap_zolder]['width'] = 4;
blocks[groep_trap_zolder]['hide_data'] = true;

// Scene Movies
blocks[scene_movies] = {}
blocks[scene_movies]['title'] = ''
blocks[scene_movies]['width'] = 2;
blocks[scene_movies]['hide_data'] = true;

// Scene Voetbal
blocks[scene_voetbal] = {}
blocks[scene_voetbal]['title'] = ''
blocks[scene_voetbal]['width'] = 2;
blocks[scene_voetbal]['hide_data'] = true;

// Scene Ontspanning
blocks[scene_ontspanning] = {}
blocks[scene_ontspanning]['title'] = ''
blocks[scene_ontspanning]['width'] = 2;
blocks[scene_ontspanning]['hide_data'] = true;

// Title: Gordijnen
blocks[title_curtains] = {}
blocks[title_curtains]['type'] = 'blocktitle'
blocks[title_curtains]['title'] = 'Gordijnen'

// Gordijnen Voor
blocks[gordijnen_voor] = {}
blocks[gordijnen_voor]['width'] = 6;
blocks[gordijnen_voor]['icon'] = 'fa fa-columns';

// Gordijnen Achter
blocks[gordijnen_achter] = {}
blocks[gordijnen_achter]['width'] = 6;
blocks[gordijnen_achter]['icon'] = 'fa fa-columns';

// Title: Aanwezigheid
blocks[title_presence] = {}
blocks[title_presence]['type'] = 'blocktitle'
blocks[title_presence]['title'] = 'Aanwezigheid'

// iPhone Henri
blocks[iphone_henri] = {}
blocks[iphone_henri]['title'] = 'Henri';
blocks[iphone_henri]['icon'] = 'fa fa-male';
blocks[iphone_henri]['width'] = 3;
blocks[iphone_henri]['show_lastupdate'] = true;
blocks[iphone_henri]['protected'] = true;
blocks[iphone_henri]['hide_data'] = true;

// iPhone Diana
blocks[iphone_diana] = {}
blocks[iphone_diana]['title'] = 'Diana';
blocks[iphone_diana]['icon'] = 'fa fa-female';
blocks[iphone_diana]['width'] = 3;
blocks[iphone_diana]['show_lastupdate'] = true;
blocks[iphone_diana]['protected'] = true;
blocks[iphone_diana]['hide_data'] = true;

// iPhone Denise
blocks[iphone_denise] = {}
blocks[iphone_denise]['title'] = 'Denise';
blocks[iphone_denise]['icon'] = 'fa fa-female';
blocks[iphone_denise]['width'] = 3;
blocks[iphone_denise]['show_lastupdate'] = true;
blocks[iphone_denise]['protected'] = true;
blocks[iphone_denise]['hide_data'] = true;

// iPhone Melissa
blocks[iphone_melissa] = {}
blocks[iphone_melissa]['title'] = 'Melissa';
blocks[iphone_melissa]['icon'] = 'fa fa-female';
blocks[iphone_melissa]['width'] = 3;
blocks[iphone_melissa]['show_lastupdate'] = true;
blocks[iphone_melissa]['protected'] = true;
blocks[iphone_melissa]['hide_data'] = true;

// Title: Temperatuur
blocks[title_temperature] = {}
blocks[title_temperature]['type'] = 'blocktitle'
blocks[title_temperature]['title'] = 'Temperatuur'

// Temperatuur: _1 = Temperatuur, _2 = Humidity, _3 = Pressure

// Temperatuur Buitenkeuken
blocks[temperatuur_buitenkeuken] = {}
blocks[temperatuur_buitenkeuken]['title'] = 'Buitenkeuken'
blocks[temperatuur_buitenkeuken]['width'] = 4;
blocks[temperatuur_buitenkeuken]['switch'] = true;
blocks[temperatuur_buitenkeuken]['show_lastupdate'] = false;

// Temperatuur Woonkamer
blocks[temperatuur_woonkamer] = {}
blocks[temperatuur_woonkamer]['title'] = 'Woonkamer'
blocks[temperatuur_woonkamer]['width'] = 4;
blocks[temperatuur_woonkamer]['switch'] = true;
blocks[temperatuur_woonkamer]['show_lastupdate'] = false;

// Temperatuur Zolder
blocks[temperatuur_zolder] = {}
blocks[temperatuur_zolder]['title'] = 'Zolder'
blocks[temperatuur_zolder]['width'] = 4;
blocks[temperatuur_zolder]['switch'] = true;
blocks[temperatuur_zolder]['show_lastupdate'] = false;

// Title: Gas & Elektra
blocks[title_gas_and_elektra] = {}
blocks[title_gas_and_elektra]['type'] = 'blocktitle'
blocks[title_gas_and_elektra]['title'] = 'Gas & Elektra'

// Nefit Setpoint
blocks[nefit_easy] = {}
blocks[nefit_easy]['width'] = 4;
blocks[nefit_easy]['show_lastupdate'] = false;

// Smartmeter Gas
blocks[p1_gas] = {}
blocks[p1_gas]['width'] = 4;
blocks[p1_gas]['show_lastupdate'] = false;
blocks[p1_gas]['protected'] = true;

// Smart Meter Elektra: _1 = Huidig Elektra, _2 = Elektra Vandaag, _3 = Elektra Totaal

// Smartmeter Elektra
blocks[p1_elektra_nu] = {}
blocks[p1_elektra_nu]['width'] = 4;
blocks[p1_elektra_nu]['show_lastupdate'] = false;
blocks[p1_elektra_nu]['protected'] = true;

blocks[p1_elektra_vandaag] = {}
blocks[p1_elektra_vandaag]['width'] = 4;
blocks[p1_elektra_vandaag]['show_lastupdate'] = false;
blocks[p1_elektra_vandaag]['protected'] = true;

blocks[p1_elektra_totaal] = {}
blocks[p1_elektra_totaal]['width'] = 4;
blocks[p1_elektra_totaal]['show_lastupdate'] = false;
blocks[p1_elektra_totaal]['protected'] = true;

blocks[p1_grafiek_elektra] = {}
blocks[p1_grafiek_elektra]['title'] = 'Elektriciteit';
blocks[p1_grafiek_elektra]['width'] = 6;
//blocks[p1_grafiek_elektra]['graph'] = 'bar';
//blocks[p1_grafiek_elektra]['pointFillColors'] = ['#aaa9a9', '#7e7e7e'];
//blocks[p1_grafiek_elektra]['pointSize'] = 3;
//blocks[p1_grafiek_elektra]['lineColors'] = ['#aaa9a9', '#7e7e7e'];

blocks[p1_grafiek_gas] = {}
blocks[p1_grafiek_gas]['title'] = 'Gas';
blocks[p1_grafiek_gas]['width'] = 6;
//blocks[p1_grafiek_gas]['graph'] = 'bar';
//blocks[p1_grafiek_gas]['pointFillColors'] = ['#aaa9a9', '#7e7e7e'];
//blocks[p1_grafiek_gas]['pointSize'] = 3;
//blocks[p1_grafiek_gas]['lineColors'] = ['#aaa9a9', '#7e7e7e'];

// Title: Ping
blocks[title_ping] = {}
blocks[title_ping]['type'] = 'blocktitle'
blocks[title_ping]['title'] = 'Ping'

//
// Group 1 of Ping
//
blocks[ping_ip_voordeur] = {};
blocks[ping_ip_voordeur]['title'] = 'IP Voordeur';
blocks[ping_ip_voordeur]['width'] = 4;
blocks[ping_ip_voordeur]['icon'] = 'fa fa-check-square';
blocks[ping_ip_voordeur]['protected'] = true;
blocks[ping_ip_voordeur]['hide_data'] = true;

blocks[ping_ip_bijkeuken] = {};
blocks[ping_ip_bijkeuken]['title'] = 'IP Bijkeuken';
blocks[ping_ip_bijkeuken]['width'] = 4;
blocks[ping_ip_bijkeuken]['icon'] = 'fa fa-check-square';
blocks[ping_ip_bijkeuken]['protected'] = true;
blocks[ping_ip_bijkeuken]['hide_data'] = true;

blocks[ping_ip_garage] = {};
blocks[ping_ip_garage]['title'] = 'IP Garage';
blocks[ping_ip_garage]['width'] = 4;
blocks[ping_ip_garage]['icon'] = 'fa fa-check-square';
blocks[ping_ip_garage]['protected'] = true;
blocks[ping_ip_garage]['hide_data'] = true;

blocks[ping_linux] = {};
blocks[ping_linux]['title'] = 'Linux';
blocks[ping_linux]['width'] = 4;
blocks[ping_linux]['icon'] = 'fa fa-check-square';
blocks[ping_linux]['protected'] = true;
blocks[ping_linux]['hide_data'] = true;

blocks[ping_windows_10] = {};
blocks[ping_windows_10]['title'] = 'Windows 10';
blocks[ping_windows_10]['width'] = 4;
blocks[ping_windows_10]['icon'] = 'fa fa-check-square';
blocks[ping_windows_10]['protected'] = true;
blocks[ping_windows_10]['hide_data'] = true;

blocks[ping_zfs_1] = {};
blocks[ping_zfs_1]['title'] = 'ZFS 1';
blocks[ping_zfs_1]['width'] = 4;
blocks[ping_zfs_1]['icon'] = 'fa fa-check-square';
blocks[ping_zfs_1]['protected'] = true;
blocks[ping_zfs_1]['hide_data'] = true;

blocks[ping_zfs_2] = {};
blocks[ping_zfs_2]['title'] = 'ZFS 2';
blocks[ping_zfs_2]['width'] = 4;
blocks[ping_zfs_2]['icon'] = 'fa fa-check-square';
blocks[ping_zfs_2]['protected'] = true;
blocks[ping_zfs_2]['hide_data'] = true;

blocks[ping_asus_zenbook] = {};
blocks[ping_asus_zenbook]['title'] = 'Asus Zenbook';
blocks[ping_asus_zenbook]['width'] = 4;
blocks[ping_asus_zenbook]['icon'] = 'fa fa-check-square';
blocks[ping_asus_zenbook]['protected'] = true;
blocks[ping_asus_zenbook]['hide_data'] = true;

blocks[ping_hdhomerun_4dc] = {};
blocks[ping_hdhomerun_4dc]['title'] = 'HDHomerun';
blocks[ping_hdhomerun_4dc]['width'] = 4;
blocks[ping_hdhomerun_4dc]['icon'] = 'fa fa-check-square';
blocks[ping_hdhomerun_4dc]['protected'] = true;
blocks[ping_hdhomerun_4dc]['hide_data'] = true;

blocks[ping_hp_colorjet_3600] = {};
blocks[ping_hp_colorjet_3600]['title'] = 'HP Colorjet';
blocks[ping_hp_colorjet_3600]['width'] = 4;
blocks[ping_hp_colorjet_3600]['icon'] = 'fa fa-check-square';
blocks[ping_hp_colorjet_3600]['protected'] = true;
blocks[ping_hp_colorjet_3600]['hide_data'] = true;

//
// Group 2 of Ping
//
blocks[ping_unifi_woonkamer] = {};
blocks[ping_unifi_woonkamer]['title'] = 'UniFi Woonkamer';
blocks[ping_unifi_woonkamer]['width'] = 4;
blocks[ping_unifi_woonkamer]['icon'] = 'fa fa-check-square';
blocks[ping_unifi_woonkamer]['protected'] = true;
blocks[ping_unifi_woonkamer]['hide_data'] = true;

blocks[ping_unifi_buitenkeuken] = {};
blocks[ping_unifi_buitenkeuken]['title'] = 'UniFi Buitenkeuken';
blocks[ping_unifi_buitenkeuken]['width'] = 4;
blocks[ping_unifi_buitenkeuken]['icon'] = 'fa fa-check-square';
blocks[ping_unifi_buitenkeuken]['protected'] = true;
blocks[ping_unifi_buitenkeuken]['hide_data'] = true;

blocks[ping_unifi_slaapkamer] = {};
blocks[ping_unifi_slaapkamer]['title'] = 'UniFi Slaapkamer';
blocks[ping_unifi_slaapkamer]['width'] = 4;
blocks[ping_unifi_slaapkamer]['icon'] = 'fa fa-check-square';
blocks[ping_unifi_slaapkamer]['protected'] = true;
blocks[ping_unifi_slaapkamer]['hide_data'] = true;

blocks[ping_nefit_easy] = {};
blocks[ping_nefit_easy]['title'] = 'Nefit Easy';
blocks[ping_nefit_easy]['width'] = 4;
blocks[ping_nefit_easy]['icon'] = 'fa fa-check-square';
blocks[ping_nefit_easy]['protected'] = true;
blocks[ping_nefit_easy]['hide_data'] = true;

blocks[ping_philips_hue] = {};
blocks[ping_philips_hue]['title'] = 'Philips HUE';
blocks[ping_philips_hue]['width'] = 4;
blocks[ping_philips_hue]['icon'] = 'fa fa-check-square';
blocks[ping_philips_hue]['protected'] = true;
blocks[ping_philips_hue]['hide_data'] = true;

blocks[ping_atv_woonkamer] = {};
blocks[ping_atv_woonkamer]['title'] = 'ATV Woonkamer';
blocks[ping_atv_woonkamer]['width'] = 4;
blocks[ping_atv_woonkamer]['icon'] = 'fa fa-check-square';
blocks[ping_atv_woonkamer]['protected'] = true;
blocks[ping_atv_woonkamer]['hide_data'] = true;

blocks[ping_atv_slaapkamer] = {};
blocks[ping_atv_slaapkamer]['title'] = 'ATV Slaapkamer';
blocks[ping_atv_slaapkamer]['width'] = 4;
blocks[ping_atv_slaapkamer]['icon'] = 'fa fa-check-square';
blocks[ping_atv_slaapkamer]['protected'] = true;
blocks[ping_atv_slaapkamer]['hide_data'] = true;

//
// Group 3 of Ping
//
blocks[ping_temp_buitenkeuken] = {};
blocks[ping_temp_buitenkeuken]['title'] = 'Temperatuur Buiten';
blocks[ping_temp_buitenkeuken]['width'] = 4;
blocks[ping_temp_buitenkeuken]['icon'] = 'fa fa-check-square';
blocks[ping_temp_buitenkeuken]['protected'] = true;
blocks[ping_temp_buitenkeuken]['hide_data'] = true;

blocks[ping_temp_woonkamer] = {};
blocks[ping_temp_woonkamer]['title'] = 'Temperatuur Kamer';
blocks[ping_temp_woonkamer]['width'] = 4;
blocks[ping_temp_woonkamer]['icon'] = 'fa fa-check-square';
blocks[ping_temp_woonkamer]['protected'] = true;
blocks[ping_temp_woonkamer]['hide_data'] = true;

blocks[ping_temp_zolder] = {};
blocks[ping_temp_zolder]['title'] = 'Temperatuur Zolder';
blocks[ping_temp_zolder]['width'] = 4;
blocks[ping_temp_zolder]['icon'] = 'fa fa-check-square';
blocks[ping_temp_zolder]['protected'] = true;
blocks[ping_temp_zolder]['hide_data'] = true;

blocks[ping_gordijnen_straat] = {};
blocks[ping_gordijnen_straat]['title'] = 'Gordijnen Straat';
blocks[ping_gordijnen_straat]['width'] = 4;
blocks[ping_gordijnen_straat]['icon'] = 'fa fa-check-square';
blocks[ping_gordijnen_straat]['protected'] = true;
blocks[ping_gordijnen_straat]['hide_data'] = true;

blocks[ping_gordijnen_schuur] = {};
blocks[ping_gordijnen_schuur]['title'] = 'Gordijnen Schuur';
blocks[ping_gordijnen_schuur]['width'] = 4;
blocks[ping_gordijnen_schuur]['icon'] = 'fa fa-check-square';
blocks[ping_gordijnen_schuur]['protected'] = true;
blocks[ping_gordijnen_schuur]['hide_data'] = true;

blocks[ping_gordijnen_tuin] = {};
blocks[ping_gordijnen_tuin]['title'] = 'Gordijnen Tuin';
blocks[ping_gordijnen_tuin]['width'] = 4;
blocks[ping_gordijnen_tuin]['icon'] = 'fa fa-check-square';
blocks[ping_gordijnen_tuin]['protected'] = true;
blocks[ping_gordijnen_tuin]['hide_data'] = true;

blocks[ping_garage_opener] = {};
blocks[ping_garage_opener]['title'] = 'Garage Opener';
blocks[ping_garage_opener]['width'] = 4;
blocks[ping_garage_opener]['icon'] = 'fa fa-check-square';
blocks[ping_garage_opener]['protected'] = true;
blocks[ping_garage_opener]['hide_data'] = true;

blocks[ping_xiaomi_gateway] = {};
blocks[ping_xiaomi_gateway]['title'] = 'Xiaomi Gateway';
blocks[ping_xiaomi_gateway]['width'] = 4;
blocks[ping_xiaomi_gateway]['icon'] = 'fa fa-check-square';
blocks[ping_xiaomi_gateway]['protected'] = true;
blocks[ping_xiaomi_gateway]['hide_data'] = true;

// Title: News
blocks[title_news] = {}
blocks[title_news]['type'] = 'blocktitle'
blocks[title_news]['title'] = 'Nieuws'

// Title: Switch
blocks[title_switch] = {}
blocks[title_switch]['type'] = 'blocktitle'
blocks[title_switch]['title'] = 'Switch'

blocks[switch_ip_voordeur] = {};
blocks[switch_ip_voordeur]['title'] = 'IP Voordeur';
blocks[switch_ip_voordeur]['width'] = 12;
blocks[switch_ip_voordeur]['icon'] = 'fa fa-power-off';
blocks[switch_ip_voordeur]['hide_data'] = true;

blocks[switch_ip_bijkeuken] = {};
blocks[switch_ip_bijkeuken]['title'] = 'IP Bijkeuken';
blocks[switch_ip_bijkeuken]['width'] = 12;
blocks[switch_ip_bijkeuken]['icon'] = 'fa fa-power-off';
blocks[switch_ip_bijkeuken]['hide_data'] = true;

blocks[switch_ip_garage] = {};
blocks[switch_ip_garage]['title'] = 'IP Garage';
blocks[switch_ip_garage]['width'] = 12;
blocks[switch_ip_garage]['icon'] = 'fa fa-power-off';
blocks[switch_ip_garage]['hide_data'] = true;

blocks[switch_linux] = {};
blocks[switch_linux]['title'] = 'Linux';
blocks[switch_linux]['width'] = 12;
blocks[switch_linux]['icon'] = 'fa fa-power-off';
blocks[switch_linux]['hide_data'] = true;

blocks[switch_windows_10] = {};
blocks[switch_windows_10]['title'] = 'Windows 10';
blocks[switch_windows_10]['width'] = 12;
blocks[switch_windows_10]['icon'] = 'fa fa-power-off';
blocks[switch_windows_10]['hide_data'] = true;

blocks[switch_zfs_1] = {};
blocks[switch_zfs_1]['title'] = 'ZFS 1';
blocks[switch_zfs_1]['width'] = 12;
blocks[switch_zfs_1]['icon'] = 'fa fa-power-off';
blocks[switch_zfs_1]['hide_data'] = true;

blocks[switch_zfs_2] = {};
blocks[switch_zfs_2]['title'] = 'ZFS 2';
blocks[switch_zfs_2]['width'] = 12;
blocks[switch_zfs_2]['icon'] = 'fa fa-power-off';
blocks[switch_zfs_2]['hide_data'] = true;

blocks[switch_unifi_usg] = {};
blocks[switch_unifi_usg]['title'] = 'Unifi USG';
blocks[switch_unifi_usg]['width'] = 12;
blocks[switch_unifi_usg]['icon'] = 'fa fa-power-off';
blocks[switch_unifi_usg]['hide_data'] = true;

blocks[switch_ziggo_modem] = {};
blocks[switch_ziggo_modem]['title'] = 'Ziggo Modem';
blocks[switch_ziggo_modem]['width'] = 12;
blocks[switch_ziggo_modem]['icon'] = 'fa fa-power-off';
blocks[switch_ziggo_modem]['hide_data'] = true;

blocks[switch_xiaomi_gateway] = {};
blocks[switch_xiaomi_gateway]['title'] = 'Xiaomi Gateway';
blocks[switch_xiaomi_gateway]['width'] = 12;
blocks[switch_xiaomi_gateway]['icon'] = 'fa fa-power-off';
blocks[switch_xiaomi_gateway]['hide_data'] = true;

//
// Shelly
// 

// Title: Shelly
blocks[title_shelly] = {}
blocks[title_shelly]['type'] = 'blocktitle'
blocks[title_shelly]['title'] = 'Shelly'

blocks[shelly_01] = {};
blocks[shelly_01]['title'] = 'Bijkeuken';
blocks[shelly_01]['width'] = 4;
//blocks[shelly_01]['icon'] = 'fa fa-power-off';
blocks[shelly_01]['hide_data'] = true;

blocks[shelly_02] = {};
blocks[shelly_02]['title'] = 'Garage Achter';
blocks[shelly_02]['width'] = 4;
//blocks[shelly_02]['icon'] = 'fa fa-power-off';
blocks[shelly_02]['hide_data'] = true;

blocks[shelly_03] = {};
blocks[shelly_03]['title'] = 'Garage Voor';
blocks[shelly_03]['width'] = 4;
//blocks[shelly_03]['icon'] = 'fa fa-power-off';
blocks[shelly_03]['hide_data'] = true;

blocks[shelly_04] = {};
blocks[shelly_04]['title'] = 'Hal';
blocks[shelly_04]['width'] = 4;
//blocks[shelly_04]['icon'] = 'fa fa-power-off';
blocks[shelly_04]['hide_data'] = true;

blocks[shelly_05] = {};
blocks[shelly_05]['title'] = 'Overloop';
blocks[shelly_05]['width'] = 4;
//blocks[shelly_05]['icon'] = 'fa fa-power-off';
blocks[shelly_05]['hide_data'] = true;

blocks[shelly_06] = {};
blocks[shelly_06]['title'] = 'Zolder';
blocks[shelly_06]['width'] = 4;
//blocks[shelly_06]['icon'] = 'fa fa-power-off';
blocks[shelly_06]['hide_data'] = true;

blocks[shelly_07] = {};
blocks[shelly_07]['title'] = 'Meterkast';
blocks[shelly_07]['width'] = 4;
//blocks[shelly_07]['icon'] = 'fa fa-power-off';
blocks[shelly_07]['hide_data'] = true;

blocks[shelly_08] = {};
blocks[shelly_08]['title'] = 'Shelly 08';
blocks[shelly_08]['width'] = 4;
//blocks[shelly_08]['icon'] = 'fa fa-power-off';
blocks[shelly_08]['hide_data'] = true;

blocks[shelly_09] = {};
blocks[shelly_09]['title'] = 'Shelly 09';
blocks[shelly_09]['width'] = 4;
//blocks[shelly_09]['icon'] = 'fa fa-power-off';
blocks[shelly_09]['hide_data'] = true;

blocks[shelly_10a] = {};
blocks[shelly_10a]['title'] = 'Shelly 10a';
blocks[shelly_10a]['width'] = 4;
//blocks[shelly_10a]['icon'] = 'fa fa-power-off';
blocks[shelly_10a]['hide_data'] = true;

blocks[shelly_10b] = {};
blocks[shelly_10b]['title'] = 'Shelly 10b';
blocks[shelly_10b]['width'] = 4;
//blocks[shelly_10b]['icon'] = 'fa fa-power-off';
blocks[shelly_10b]['hide_data'] = true;

//
// Kerstmis
//

// Title: Ping
blocks[title_christmas] = {}
blocks[title_christmas]['type'] = 'blocktitle'
blocks[title_christmas]['title'] = 'Kerstmis'

blocks[switch_kersthuisjes] = {};
blocks[switch_kersthuisjes]['title'] = 'Kersthuisjes';
blocks[switch_kersthuisjes]['width'] = 6;
blocks[switch_kersthuisjes]['icon'] = 'fa fa-power-off';
blocks[switch_kersthuisjes]['hide_data'] = true;

blocks[switch_kerstboom] = {};
blocks[switch_kerstboom]['title'] = 'Kerstboom';
blocks[switch_kerstboom]['width'] = 6;
blocks[switch_kerstboom]['icon'] = 'fa fa-power-off';
blocks[switch_kerstboom]['hide_data'] = true;

blocks[switch_kerststal] = {};
blocks[switch_kerststal]['title'] = 'Kerststal';
blocks[switch_kerststal]['width'] = 6;
blocks[switch_kerststal]['icon'] = 'fa fa-power-off';
blocks[switch_kerststal]['hide_data'] = true;

//
// Raspberry PI statistics
//
blocks[pi_cpu_temperature] = {};
blocks[pi_cpu_temperature]['width'] = 6;
blocks[pi_cpu_temperature]['icon'] = 'fa fa-microchip';

blocks[pi_cpu_usage] = {};
blocks[pi_cpu_usage]['width'] = 6;
blocks[pi_cpu_usage]['icon'] = 'fa fa-microchip';

blocks[pi_cpu_speed] = {};
blocks[pi_cpu_speed]['width'] = 6;
blocks[pi_cpu_speed]['icon'] = 'fa fa-microchip';

blocks[pi_cpu_memory] = {};
blocks[pi_cpu_memory]['width'] = 6;
blocks[pi_cpu_memory]['icon'] = 'fa fa-microchip';

blocks[pi_up_time] = {};
blocks[pi_up_time]['width'] = 6;
blocks[pi_up_time]['icon'] = 'fa fa-microchip';

blocks[pi_memory_usage] = {};
blocks[pi_memory_usage]['width'] = 6;
blocks[pi_memory_usage]['icon'] = 'fa fa-microchip';

blocks[pi_domoticz_memory] = {};
blocks[pi_domoticz_memory]['width'] = 6;
blocks[pi_domoticz_memory]['icon'] = 'fa fa-microchip';

// Title: Contact
blocks[title_contact] = {}
blocks[title_contact]['type'] = 'blocktitle'
blocks[title_contact]['title'] = 'Contact'

//
// Contacts
//

blocks[contact_voordeur] = {};
blocks[contact_voordeur]['title'] = 'Voordeur';
blocks[contact_voordeur]['width'] = 4;
blocks[contact_voordeur]['icon'] = 'fa fa-lock';
blocks[contact_voordeur]['protected'] = true;
blocks[contact_voordeur]['hide_data'] = true;

blocks[contact_bijkeuken] = {};
blocks[contact_bijkeuken]['title'] = 'Bijkeuken';
blocks[contact_bijkeuken]['width'] = 4;
blocks[contact_bijkeuken]['icon'] = 'fa fa-lock';
blocks[contact_bijkeuken]['protected'] = true;
blocks[contact_bijkeuken]['hide_data'] = true;

blocks[contact_garage_voor] = {};
blocks[contact_garage_voor]['title'] = 'Garage Voor';
blocks[contact_garage_voor]['width'] = 4;
blocks[contact_garage_voor]['icon'] = 'fa fa-lock';
blocks[contact_garage_voor]['protected'] = true;
blocks[contact_garage_voor]['hide_data'] = true;

blocks[contact_garage_achter] = {};
blocks[contact_garage_achter]['title'] = 'Garage Achter';
blocks[contact_garage_achter]['width'] = 4;
blocks[contact_garage_achter]['icon'] = 'fa fa-lock';
blocks[contact_garage_achter]['protected'] = true;
blocks[contact_garage_achter]['hide_data'] = true;

blocks[contact_garage_roldeur] = {};
blocks[contact_garage_roldeur]['title'] = 'Garage Roldeur';
blocks[contact_garage_roldeur]['width'] = 4;
blocks[contact_garage_roldeur]['icon'] = 'fa fa-lock';
blocks[contact_garage_roldeur]['protected'] = true;
blocks[contact_garage_roldeur]['hide_data'] = true;

// Title: Smoke Detector
blocks[title_smokedetector] = {}
blocks[title_smokedetector]['type'] = 'blocktitle'
blocks[title_smokedetector]['title'] = 'Rookmelder'

//
// Smoke Detectors
//
blocks[smoke_bijkeuken] = {};
blocks[smoke_bijkeuken]['title'] = 'Bijkeuken';
blocks[smoke_bijkeuken]['width'] = 6;
blocks[smoke_bijkeuken]['icon'] = 'fa fa-fire';
blocks[smoke_bijkeuken]['protected'] = true;
blocks[smoke_bijkeuken]['hide_data'] = true;

blocks[smoke_woonkamer] = {};
blocks[smoke_woonkamer]['title'] = 'Woonkamer';
blocks[smoke_woonkamer]['width'] = 6;
blocks[smoke_woonkamer]['icon'] = 'fa fa-fire';
blocks[smoke_woonkamer]['protected'] = true;
blocks[smoke_woonkamer]['hide_data'] = true;

blocks[smoke_hal] = {};
blocks[smoke_hal]['title'] = 'Hal';
blocks[smoke_hal]['width'] = 6;
blocks[smoke_hal]['icon'] = 'fa fa-fire';
blocks[smoke_hal]['protected'] = true;
blocks[smoke_hal]['hide_data'] = true;

blocks[smoke_overloop] = {};
blocks[smoke_overloop]['title'] = 'Overloop';
blocks[smoke_overloop]['width'] = 6;
blocks[smoke_overloop]['icon'] = 'fa fa-fire';
blocks[smoke_overloop]['protected'] = true;
blocks[smoke_overloop]['hide_data'] = true;

blocks[smoke_zolder] = {};
blocks[smoke_zolder]['title'] = 'Rookmelder Zolder';
blocks[smoke_zolder]['width'] = 6;
blocks[smoke_zolder]['icon'] = 'fa fa-fire';
blocks[smoke_zolder]['protected'] = true;
blocks[smoke_zolder]['hide_data'] = true;

// Newsfeed
blocks[news_1] = {}
blocks[news_1]['feed'] = 'http://www.nu.nl/rss/algemeen';
blocks[news_1]['width'] = 12;
blocks[news_1]['protected'] = true;

blocks[news_2] = {}
blocks[news_2]['feed'] = 'https://feeds.feedburner.com/tweakers/nieuws';
blocks[news_2]['width'] = 12;
blocks[news_2]['protected'] = true;

// Title: TV Gids - NL Zenders
blocks[title_tvguide_1] = {}
blocks[title_tvguide_1]['type'] = 'blocktitle'
blocks[title_tvguide_1]['title'] = 'TV Gids - NL Zenders'

// Title: TV Gids - Koken & Sport
blocks[title_tvguide_2] = {}
blocks[title_tvguide_2]['type'] = 'blocktitle'
blocks[title_tvguide_2]['title'] = 'TV Gids - Koken & Sport'

// Title: Radio
blocks[title_radio] = {}
blocks[title_radio]['type'] = 'blocktitle'
blocks[title_radio]['title'] = 'Radio'

// Title: Breda
blocks[title_breda] = {}
blocks[title_breda]['type'] = 'blocktitle'
blocks[title_breda]['title'] = 'Breda'

// Title: Etten-Leur
blocks[title_etten_leur] = {}
blocks[title_etten_leur]['type'] = 'blocktitle'
blocks[title_etten_leur]['title'] = 'Etten-Leur'

// Title: Raspberry
blocks[title_raspberry] = {}
blocks[title_raspberry]['type'] = 'blocktitle'
blocks[title_raspberry]['title'] = 'Raspberry'


//
// Motion Sensors
//

// Title: Contact
blocks[title_motion_sensors] = {}
blocks[title_motion_sensors]['type'] = 'blocktitle'
blocks[title_motion_sensors]['title'] = 'Beweging'

blocks[motion_hal] = {};
blocks[motion_hal]['title'] = 'Hal';
blocks[motion_hal]['width'] = 6;
blocks[motion_hal]['last_update'] = true;
blocks[motion_hal]['protected'] = true;

blocks[motion_overloop] = {};
blocks[motion_overloop]['title'] = 'Overloop';
blocks[motion_overloop]['width'] = 6;
blocks[motion_overloop]['last_update'] = true;
blocks[motion_overloop]['protected'] = true;

blocks[motion_zolder] = {};
blocks[motion_zolder]['title'] = 'Zolder';
blocks[motion_zolder]['width'] = 6;
blocks[motion_zolder]['last_update'] = true;
blocks[motion_zolder]['protected'] = true;

blocks[motion_bijkeuken_tuin] = {};
blocks[motion_bijkeuken_tuin]['title'] = 'Bijkeuken Tuin';
blocks[motion_bijkeuken_tuin]['width'] = 6;
blocks[motion_bijkeuken_tuin]['last_update'] = true;
blocks[motion_bijkeuken_tuin]['protected'] = true;

blocks[motion_bijkeuken_garage] = {};
blocks[motion_bijkeuken_garage]['title'] = 'Bijkeuken Garage';
blocks[motion_bijkeuken_garage]['width'] = 6;
blocks[motion_bijkeuken_garage]['last_update'] = true;
blocks[motion_bijkeuken_garage]['protected'] = true;

blocks[motion_garage_voor_1] = {};
blocks[motion_garage_voor_1]['title'] = 'Garage Voor 1';
blocks[motion_garage_voor_1]['width'] = 6;
blocks[motion_garage_voor_1]['last_update'] = true;
blocks[motion_garage_voor_1]['protected'] = true;

blocks[motion_garage_voor_2] = {};
blocks[motion_garage_voor_2]['title'] = 'Garage Voor 2';
blocks[motion_garage_voor_2]['width'] = 6;
blocks[motion_garage_voor_2]['last_update'] = true;
blocks[motion_garage_voor_2]['protected'] = true;

blocks[motion_garage_achter] = {};
blocks[motion_garage_achter]['title'] = 'Garage Achter';
blocks[motion_garage_achter]['width'] = 6;
blocks[motion_garage_achter]['last_update'] = true;
blocks[motion_garage_achter]['protected'] = true;


//
// Lux Sensors
//
// Title: Contact
blocks[title_lux_sensors] = {}
blocks[title_lux_sensors]['type'] = 'blocktitle'
blocks[title_lux_sensors]['title'] = 'Lux'

blocks[lux_hal] = {};
blocks[lux_hal]['title'] = 'Hal';
blocks[lux_hal]['width'] = 6;
blocks[lux_hal]['switch'] = true;
blocks[lux_hal]['last_update'] = true;
blocks[lux_hal]['protected'] = true;

blocks[lux_overloop] = {};
blocks[lux_overloop]['title'] = 'Overloop';
blocks[lux_overloop]['width'] = 6;
blocks[lux_overloop]['switch'] = true;
blocks[lux_overloop]['last_update'] = true;
blocks[lux_overloop]['protected'] = true;

blocks[lux_zolder] = {};
blocks[lux_zolder]['title'] = 'Zolder';
blocks[lux_zolder]['width'] = 6;
blocks[lux_zolder]['switch'] = true;
blocks[lux_zolder]['last_update'] = true;
blocks[lux_zolder]['protected'] = true;

blocks[lux_bijkeuken_tuin] = {};
blocks[lux_bijkeuken_tuin]['title'] = 'Bijkeuken Tuin';
blocks[lux_bijkeuken_tuin]['width'] = 6;
blocks[lux_bijkeuken_tuin]['switch'] = true;
blocks[lux_bijkeuken_tuin]['last_update'] = true;
blocks[lux_bijkeuken_tuin]['protected'] = true;

blocks[lux_bijkeuken_garage] = {};
blocks[lux_bijkeuken_garage]['title'] = 'Bijkeuken Garage';
blocks[lux_bijkeuken_garage]['width'] = 6;
blocks[lux_bijkeuken_garage]['switch'] = true;
blocks[lux_bijkeuken_garage]['last_update'] = true;
blocks[lux_bijkeuken_garage]['protected'] = true;

blocks[lux_garage_voor_1] = {};
blocks[lux_garage_voor_1]['title'] = 'Garage Voor 1';
blocks[lux_garage_voor_1]['width'] = 6;
blocks[lux_garage_voor_1]['switch'] = true;
blocks[lux_garage_voor_1]['last_update'] = true;
blocks[lux_garage_voor_1]['protected'] = true;

blocks[lux_garage_voor_2] = {};
blocks[lux_garage_voor_2]['title'] = 'Garage Voor 2';
blocks[lux_garage_voor_2]['width'] = 6;
blocks[lux_garage_voor_2]['switch'] = true;
blocks[lux_garage_voor_2]['last_update'] = true;
blocks[lux_garage_voor_2]['protected'] = true;

blocks[lux_garage_achter] = {};
blocks[lux_garage_achter]['title'] = 'Garage Achter';
blocks[lux_garage_achter]['width'] = 6;
blocks[lux_garage_achter]['switch'] = true;
blocks[lux_garage_achter]['last_update'] = true;
blocks[lux_garage_achter]['protected'] = true;


// Title: Ping Shelly
blocks[title_ping_shelly] = {}
blocks[title_ping_shelly]['type'] = 'blocktitle'
blocks[title_ping_shelly]['title'] = 'Ping Shelly'

//
// Shelly Ping
//
blocks[ping_shelly_01] = {};
blocks[ping_shelly_01]['title'] = 'Bijkeuken';
blocks[ping_shelly_01]['width'] = 4;
blocks[ping_shelly_01]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_01]['protected'] = true;
blocks[ping_shelly_01]['hide_data'] = true;

blocks[ping_shelly_02] = {};
blocks[ping_shelly_02]['title'] = 'Garage Voor';
blocks[ping_shelly_02]['width'] = 4;
blocks[ping_shelly_02]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_02]['protected'] = true;
blocks[ping_shelly_02]['hide_data'] = true;

blocks[ping_shelly_03] = {};
blocks[ping_shelly_03]['title'] = 'Garage Achter';
blocks[ping_shelly_03]['width'] = 4;
blocks[ping_shelly_03]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_03]['protected'] = true;
blocks[ping_shelly_03]['hide_data'] = true;

blocks[ping_shelly_04] = {};
blocks[ping_shelly_04]['title'] = 'Hal';
blocks[ping_shelly_04]['width'] = 4;
blocks[ping_shelly_04]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_04]['protected'] = true;
blocks[ping_shelly_04]['hide_data'] = true;

blocks[ping_shelly_05] = {};
blocks[ping_shelly_05]['title'] = 'Overloop';
blocks[ping_shelly_05]['width'] = 4;
blocks[ping_shelly_05]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_05]['protected'] = true;
blocks[ping_shelly_05]['hide_data'] = true;

blocks[ping_shelly_06] = {};
blocks[ping_shelly_06]['title'] = 'Zolder';
blocks[ping_shelly_06]['width'] = 4;
blocks[ping_shelly_06]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_06]['protected'] = true;
blocks[ping_shelly_06]['hide_data'] = true;

blocks[ping_shelly_07] = {};
blocks[ping_shelly_07]['title'] = 'Meterkast';
blocks[ping_shelly_07]['width'] = 4;
blocks[ping_shelly_07]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_07]['protected'] = true;
blocks[ping_shelly_07]['hide_data'] = true;

blocks[ping_shelly_08] = {};
blocks[ping_shelly_08]['title'] = 'Shelly-08';
blocks[ping_shelly_08]['width'] = 4;
blocks[ping_shelly_08]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_08]['protected'] = true;
blocks[ping_shelly_08]['hide_data'] = true;

blocks[ping_shelly_09] = {};
blocks[ping_shelly_09]['title'] = 'Shelly 09';
blocks[ping_shelly_09]['width'] = 4;
blocks[ping_shelly_09]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_09]['protected'] = true;
blocks[ping_shelly_09]['hide_data'] = true;

blocks[ping_shelly_10] = {};
blocks[ping_shelly_10]['title'] = 'Shelly 10';
blocks[ping_shelly_10]['width'] = 4;
blocks[ping_shelly_10]['icon'] = 'fa fa-check-square';
blocks[ping_shelly_10]['protected'] = true;
blocks[ping_shelly_10]['hide_data'] = true;

// --------------------------------------------------------------------------------------------
// Frames
// --------------------------------------------------------------------------------------------
var frames = {}

frames.floorplan = {frameurl:"https://user:password@ip-address:port/#Floorplans",height:'600',width:12}

// --------------------------------------------------------------------------------------------
// Columns
// --------------------------------------------------------------------------------------------
var columns = {}

columns[1] = {}
columns[1]['blocks'] = [title_hue, groep_woonkamer, groep_keuken, groep_slaapkamer, title_shelly, shelly_03, shelly_02, shelly_01, shelly_04, shelly_05, shelly_06, shelly_07, shelly_08, shelly_09, shelly_10a, shelly_10b, title_curtains,  gordijnen_voor,  gordijnen_achter, title_presence, iphone_henri, iphone_diana, iphone_denise, iphone_melissa, buttons.floorplan] 
columns[1]['width'] = 5;

columns[2] = {}
columns[2]['blocks'] = [title_misc, humax_woonkamer,humax_zolder, contact_garage_roldeur, title_gas_and_elektra, nefit_easy, p1_gas, p1_elektra_nu,p1_elektra_vandaag,p1_elektra_totaal,p1_grafiek_gas,p1_grafiek_elektra, title_temperature, temperatuur_buitenkeuken, temperatuur_woonkamer, temperatuur_zolder] 
columns[2]['width'] = 5;

columns[3] = {}
columns[3]['blocks'] = ['sunrise', buttons.webcam1, buttons.webcam2, buttons.webcam3, buttons.buienradar, buttons.nunl, buttons.nos,buttons.log]
columns[3]['width'] = 2; 

columns[4] = {}
//columns[4]['blocks'] = ['clock', title_news, news_1, news_2]
columns[4]['blocks'] = ['clock', news_1, news_2]
columns[4]['width'] = 2; 

columns[5] = {}
//columns[5]['blocks'] = [title_ping, ping_ip_voordeur, ping_ip_bijkeuken, ping_ip_garage, ping_linux, ping_windows_10, ping_zfs_1, ping_zfs_2, ping_asus_zenbook, ping_hdhomerun_4dc, ping_hp_colorjet_3600, ping_unifi_woonkamer, ping_unifi_buitenkeuken, ping_unifi_slaapkamer, ping_nefit_easy, ping_philips_hue, ping_atv_woonkamer, ping_atv_slaapkamer, ping_temp_buitenkeuken, ping_temp_woonkamer, ping_temp_zolder, ping_gordijnen_straat, ping_gordijnen_schuur, ping_gordijnen_tuin, ping_garage_opener, ping_xiaomi_gateway]
columns[5]['blocks'] = [ping_ip_voordeur, ping_ip_bijkeuken, ping_ip_garage, ping_linux, ping_windows_10, ping_zfs_1, ping_zfs_2, ping_asus_zenbook, ping_hdhomerun_4dc, ping_hp_colorjet_3600, ping_unifi_woonkamer, ping_unifi_buitenkeuken, ping_unifi_slaapkamer, ping_nefit_easy, ping_philips_hue, ping_atv_woonkamer, ping_atv_slaapkamer, ping_temp_buitenkeuken, ping_temp_woonkamer, ping_temp_zolder, ping_gordijnen_straat, ping_gordijnen_schuur, ping_gordijnen_tuin, ping_garage_opener, ping_xiaomi_gateway]
columns[5]['width'] = 4; 

columns[6] = {}
//columns[6]['blocks'] = ['currentweather_big_owm', 'weather_owm', title_tvguide_1, tvguide.dutch_1, title_tvguide_2, tvguide.dutch_2, 'traffic', 'train']
columns[6]['blocks'] = ['currentweather_big_owm', 'weather_owm', title_tvguide_1, tvguide.dutch_1, title_tvguide_2, tvguide.dutch_2]
columns[6]['width'] = 4; 

columns[7] = {}
//columns[7]['blocks'] = [title_switch, switch_ip_voordeur, switch_ip_bijkeuken, switch_ip_garage, switch_linux, switch_windows_10, switch_zfs_1, switch_zfs_2, switch_unifi_usg, switch_ziggo_modem, switch_xiaomi_gateway]
columns[7]['blocks'] = [switch_ip_voordeur, switch_ip_bijkeuken, switch_ip_garage, switch_linux, switch_windows_10, switch_zfs_1, switch_zfs_2, switch_unifi_usg, switch_ziggo_modem, switch_xiaomi_gateway]
columns[7]['width'] = 2; 

columns[8] = {}
columns[8]['blocks'] = [title_motion_sensors, motion_hal, motion_overloop, motion_bijkeuken_tuin, motion_bijkeuken_garage, motion_garage_voor_1, motion_garage_voor_2, motion_garage_achter, motion_zolder, title_contact, contact_garage_voor, contact_garage_achter, contact_garage_roldeur, contact_voordeur, contact_bijkeuken]
columns[8]['width'] = 4; 

columns[9] = {}
columns[9]['blocks'] = [title_lux_sensors, lux_hal, lux_overloop, lux_bijkeuken_tuin, lux_bijkeuken_garage, lux_garage_voor_1, lux_garage_voor_2, lux_garage_achter, lux_zolder, title_smokedetector, smoke_bijkeuken, smoke_woonkamer, smoke_hal, smoke_overloop, smoke_zolder]
columns[9]['width'] = 4; 

columns[10] = {}
columns[10]['blocks'] = [title_ping_shelly, ping_shelly_02, ping_shelly_03, ping_shelly_01, ping_shelly_04, ping_shelly_05, ping_shelly_06, ping_shelly_07, title_raspberry, pi_up_time, pi_cpu_usage, pi_cpu_temperature, pi_memory_usage, title_radio, 'streamplayer']
columns[10]['width'] = 4; 

columns[11] = {}
columns[11]['blocks'] = [title_breda, publictransport.ovinfo_breda, publictransport.ovinfotrain_breda, publictransport.ovinfobus_breda]
columns[11]['width'] = 3;

columns[12] = {}
columns[12]['blocks'] = [title_etten_leur, publictransport.ovinfo_etten_leur, publictransport.ovinfotrain_etten_leur, publictransport.ovinfobus_etten_leur]
columns[12]['width'] = 3;

// --------------------------------------------------------------------------------------------
// Screens
// --------------------------------------------------------------------------------------------
var screens = {}

screens[max_resolution_desktop] = {}
screens[max_resolution_desktop]['maxwidth'] = 1920;
screens[max_resolution_desktop]['maxheight'] = 1080;

screens[max_resolution_desktop][1] = {}
screens[max_resolution_desktop][1]['background'] = 'bg14_lightgray.jpg';
screens[max_resolution_desktop][1]['columns'] = [1,2,3]

screens[max_resolution_desktop][2] = {}
screens[max_resolution_desktop][2]['background'] = 'bg14_lightgray.jpg';
screens[max_resolution_desktop][2]['columns'] = [4,5,6,7]

screens[max_resolution_desktop][3] = {}
screens[max_resolution_desktop][3]['background'] = 'bg14_lightgray.jpg';
screens[max_resolution_desktop][3]['columns'] = [8,9,10]

//screens[max_resolution_desktop][4] = {}
//screens[max_resolution_desktop][4]['background'] = 'bg14_lightgray.jpg';
//screens[max_resolution_desktop][4]['columns'] = [11,12]

screens[max_resolution_smart] = {}
screens[max_resolution_smart]['maxwidth'] = 750;
screens[max_resolution_smart]['maxheight'] = 1334;

screens[max_resolution_smart][1] = {}
screens[max_resolution_smart][1]['background'] = 'bg14_lightgray.jpg';
screens[max_resolution_smart][1]['columns'] = [1,2,3]

screens[max_resolution_smart][2] = {}
screens[max_resolution_smart][2]['background'] = 'bg14_lightgray.jpg';
screens[max_resolution_smart][2]['columns'] = [4,5,6,7]

screens[max_resolution_smart][3] = {}
screens[max_resolution_smart][3]['background'] = 'bg14_lightgray.jpg';
screens[max_resolution_smart][3]['columns'] = [8,9,10]

//screens[max_resolution_smart][4] = {}
//screens[max_resolution_smart][4]['background'] = 'bg14_lightgray.jpg';
//screens[max_resolution_smart][4]['columns'] = [11,12]
